Add case vouchers
curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId}/add-case-vouchers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseVouchers": [
{
"currency": "DKK",
"amount": -100000,
"referenceId": "D12412347",
"text": "J.no. 1234",
"date": "2024-05-28",
"dueDate": "2024-06-11",
"uniqueId": "D12412347",
"voucherTypeId": "eb41e58e-fccf-419d-a771-cd5027fe6e87",
"properties": {
"meterNumber": "874113"
}
},
{
"currency": "DKK",
"amount": -10000,
"referenceId": "D12412347-R1",
"date": "2024-06-25",
"uniqueId": "D12412347-R1",
"voucherTypeId": "3e51bf87-3c8f-4dd5-abd5-69417d113c89"
}
],
"constraints": {
"caseGroupId": "0b1a0f3c-6c1d-4b8f-9b6b-6f6a1f2e7a10"
}
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId}/add-case-vouchers"
payload = {
"caseVouchers": [
{
"currency": "DKK",
"amount": -100000,
"referenceId": "D12412347",
"text": "J.no. 1234",
"date": "2024-05-28",
"dueDate": "2024-06-11",
"uniqueId": "D12412347",
"voucherTypeId": "eb41e58e-fccf-419d-a771-cd5027fe6e87",
"properties": { "meterNumber": "874113" }
},
{
"currency": "DKK",
"amount": -10000,
"referenceId": "D12412347-R1",
"date": "2024-06-25",
"uniqueId": "D12412347-R1",
"voucherTypeId": "3e51bf87-3c8f-4dd5-abd5-69417d113c89"
}
],
"constraints": { "caseGroupId": "0b1a0f3c-6c1d-4b8f-9b6b-6f6a1f2e7a10" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseVouchers: [
{
currency: 'DKK',
amount: -100000,
referenceId: 'D12412347',
text: 'J.no. 1234',
date: '2024-05-28',
dueDate: '2024-06-11',
uniqueId: 'D12412347',
voucherTypeId: 'eb41e58e-fccf-419d-a771-cd5027fe6e87',
properties: {meterNumber: '874113'}
},
{
currency: 'DKK',
amount: -10000,
referenceId: 'D12412347-R1',
date: '2024-06-25',
uniqueId: 'D12412347-R1',
voucherTypeId: '3e51bf87-3c8f-4dd5-abd5-69417d113c89'
}
],
constraints: {caseGroupId: '0b1a0f3c-6c1d-4b8f-9b6b-6f6a1f2e7a10'}
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/customers/{customerId}/add-case-vouchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"merged": true,
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"caseVoucherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]Customers
Add case vouchers
Add new case vouchers (e.g. unpaid invoices, reminder fees or deposits) to a customer. Based on the vouchers, the platform automatically determines whether to create a new case or add the vouchers to an existing case.
Required scope: write:customers
POST
/
v1
/
{tenantId}
/
customers
/
{customerId}
/
add-case-vouchers
Add case vouchers
Authorizations
Authentication with an API key can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}. API keys are issued and revoked directly from the creditor portal under Developers > API.
Path Parameters
Id of your debt collection partner's tenant. You can find it on the API page in the creditor portal.
Id of the customer
Body
application/json
List of new case vouchers